Stocks
Get stock holders and history
GET
/
stocks
/
{stockKey}
Get stock holders and history
curl --request GET \
--url https://mkk.celebi.me/api/stocks/{stockKey}import requests
url = "https://mkk.celebi.me/api/stocks/{stockKey}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/stocks/{stockKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"stock": {
"key": "<string>",
"security": "<string>",
"issuer": "<string>",
"isin": "<string>",
"sections": [
"<string>"
],
"entry_count": 123,
"document_count": 123,
"fund_count": 123,
"latest_holder_count": 123,
"latest_market_value": 123,
"average_weight": 123,
"max_weight": 123,
"latest_period": "<string>"
},
"holders": [
{
"fund_code": "<string>",
"fund_title": "<string>",
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"period": "<string>",
"report_date": "<string>",
"pdf_url": "<string>",
"kap_file_url": "<string>",
"kap_url": "<string>",
"section": "<string>",
"security": "<string>",
"issuer": "<string>",
"isin": "<string>",
"currency": "<string>",
"entries_count": 123,
"market_value": "<string>",
"numeric_market_value": 123,
"nominal_value": "<string>",
"numeric_nominal_value": 123,
"portfolio_weight": 123,
"weight_source": "<string>"
}
],
"holder_limit": 123,
"holder_total": 123,
"history": [
{
"period": "<string>",
"report_date": "<string>",
"disclosure_index": "<string>",
"fund_count": 123,
"document_count": 123,
"market_value": 123,
"average_weight": 123,
"max_weight": 123
}
]
}{
"error": "<string>",
"routes": [
"<string>"
]
}Path Parameters
URL-safe stock key from the stocks list, usually the normalized ticker/security.
Query Parameters
Maximum number of rows to return.
Required range:
1 <= x <= 500⌘I
Get stock holders and history
